oracle.sql.json

## Interface OracleJsonTimestamp

All Superinterfaces:
  OracleJsonValue

    public interface OracleJsonTimestamp
    extends OracleJsonValue

A SQL/JSON timestamp (without a timezone).

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals(Object other)` Compares the specified object with this `OracleJsonTimestamp`.
`java.time.LocalDateTime` `getLocalDateTime()` Returns this value as a `LocalDateTime`.
`String` `getString()` Returns this date as a String in ISO 8601 format.
`TIMESTAMP` `getTIMESTAMP()` Returns this value as a SQL `TIMESTAMP`.
`int` `hashCode()` Returns a hash code that is equal to `java.util.Arrays.hashCode(getTIMESTAMP().getBytes())`

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, getOracleJsonType, toString, wrap`

### Method Detail

#### getLocalDateTime

    java.time.LocalDateTime getLocalDateTime()

Returns this value as a `LocalDateTime`.

Returns:
  the `LocalDateTime`

#### getTIMESTAMP

    TIMESTAMP getTIMESTAMP()

Returns this value as a SQL `TIMESTAMP`.

Returns:
  the date

#### getString

    String getString()

Returns this date as a String in ISO 8601 format.

Returns:
  the string value

#### hashCode

    int hashCode()

Returns a hash code that is equal to `java.util.Arrays.hashCode(getTIMESTAMP().getBytes())`

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code

#### equals

    boolean equals(Object other)

Compares the specified object with this `OracleJsonTimestamp`. Returns true if and only if the other object is an instance of `OracleJsonTimestamp` and is equal to this timestamp.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonTimestamp`.

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.